library(rPraat)

inputFolder <- "tg"
outputFolder <- "tg_new"

listFiles <- list.files(path = inputFolder, pattern = "\\.TextGrid$" , ignore.case = TRUE)

for (I in seq_along(listFiles)) {
    file <- listFiles[I]
    fileName <- substr(file, 1, nchar(file) - nchar(".TextGrid"))
    fileTextGrid <- paste0(inputFolder, "/", fileName, ".TextGrid")

    tg <- tg.read(fileTextGrid)
    cat(fileTextGrid, "\n")
    tg <- tg.repairContinuity(tg)
    
    fileTextGridOut <- paste0(outputFolder, "/", fileName, ".TextGrid")
    tg.write(tg, fileTextGridOut)
}

cat("New TextGrids saved in [", outputFolder, "] directory.\nDone.\n", sep = "")
