library(rPraat)

inputFolder <- "tg_new"
outputFolder <- "tg_new2"

listFiles <- list.files(path = inputFolder, pattern = "\\.TextGrid$" , ignore.case = TRUE)

labely <- character()   # prázdný vektor

for (I in seq_along(listFiles)) {
    file <- listFiles[I]
    fileName <- substr(file, 1, nchar(file) - nchar(".TextGrid"))
    fileTextGrid <- paste0(inputFolder, "/", fileName, ".TextGrid")

    tg <- tg.read(fileTextGrid)
    tg$phone$label <- strTrim(tg$phone$label)  # bílé znaky na začátku a na konci: pryč
    
    fileTextGridOut <- paste0(outputFolder, "/", fileName, ".TextGrid")
    tg.write(tg, fileTextGridOut)
    
    labely <- c(labely, tg$phone$label)   # postupně rostoucí vektor
}

# Počty použitých labelů napříč všemi soubory
print(table(paste0("[", labely, "]")))

cat("New TextGrids saved in [", outputFolder, "] directory.\nDone.\n", sep = "")
