# Skript specialne pro upravu TextGridu z nastrelovace Prague Labeller, kde pocatecni a koncove intervaly
# nezacinaji v nule a nekonci v trvani zvuku. Prepokladem jsou .wav ve slozce snd (nejsou soucasti .zip)
# a pracuje se s vrstvami phone, word a phrase

library(rPraat)

inputFolder <- "tg_new2"
inputFolderSnd <- "snd"
outputFolder <- "tg_new3"

listFiles <- list.files(path = inputFolder, pattern = "\\.TextGrid$" , ignore.case = TRUE)


for (I in seq_along(listFiles)) {
    file <- listFiles[I]
    fileName <- substr(file, 1, nchar(file) - nchar(".TextGrid"))
    fileTextGrid <- paste0(inputFolder, "/", fileName, ".TextGrid")
    fileSnd <- paste0(inputFolderSnd, "/", fileName, ".wav")

    tg <- tg.read(fileTextGrid)
    snd <- snd.read(fileSnd)
    tg$phone$t1[1] <- 0
    tg$word$t1[1] <- 0
    tg$phrase$t1[1] <- 0
    
    tg$phone$t2[length(tg$phone$t2)] <- snd$duration
    tg$word$t2[length(tg$word$t2)] <- snd$duration
    tg$phrase$t2[length(tg$phrase$t2)] <- snd$duration
    
    class(tg)["tmax"] <- as.character(snd$duration)
    
    fileTextGridOut <- paste0(outputFolder, "/", fileName, ".TextGrid")
    tg.write(tg, fileTextGridOut)
}

cat("New TextGrids saved in [", outputFolder, "] directory.\nDone.\n", sep = "")
